<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SenderKeyRecordStructure extends \Google\Protobuf\Internal\Message
{
    


    private $senderKeyStates;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSenderKeyStates()
    {
        return $this->senderKeyStates;
    }

    




    public function setSenderKeyStates($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\SenderKeyStateStructure::class);
        $this->senderKeyStates = $arr;

        return $this;
    }

}

